> ## Documentation Index
> Fetch the complete documentation index at: https://loyalty-interchange.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue a member-specific reward or coupon artifact



## OpenAPI

````yaml /api-reference/openapi.yaml post /issued-rewards/issue
openapi: 3.1.2
info:
  title: Loyalty Interchange Protocol
  version: 0.1.0
  description: Vendor-neutral loyalty transaction API with the foodservice/1.0 profile.
  license:
    name: Apache-2.0
    identifier: Apache-2.0
servers:
  - url: https://loyalty.example.com/lip/v1
security:
  - bearerAuth: []
tags:
  - name: Discovery
  - name: Programs
  - name: Accounts
  - name: Ledger
  - name: Members
  - name: Orders
  - name: Accruals
  - name: Redemptions
  - name: Issued Rewards
paths:
  /issued-rewards/issue:
    post:
      tags:
        - Issued Rewards
      summary: Issue a member-specific reward or coupon artifact
      operationId: issueReward
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssuedRewardIssueRequest'
      responses:
        '201':
          description: Issue a member-specific reward or coupon artifact
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IssuedRewardResponse'
        default:
          $ref: '#/components/responses/Problem'
components:
  schemas:
    IssuedRewardIssueRequest:
      title: IssuedRewardIssueRequest
      additionalProperties: false
      type: object
      required:
        - context
        - issued_reward_id
        - member_id
        - program_id
        - reward_id
      properties:
        context:
          additionalProperties: false
          type: object
          required:
            - protocol_version
            - profile
            - request_id
            - idempotency_key
            - occurred_at
            - source
          properties:
            protocol_version:
              const: '1.0'
              type: string
            profile:
              const: foodservice/1.0
              type: string
            request_id:
              minLength: 1
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
              description: Opaque, stable identifier within the owning system.
              type: string
            idempotency_key:
              minLength: 8
              maxLength: 255
              type: string
            occurred_at:
              format: date-time
              type: string
            source:
              additionalProperties: false
              type: object
              required:
                - system
              properties:
                system:
                  minLength: 1
                  maxLength: 128
                  pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
                  description: Opaque, stable identifier within the owning system.
                  type: string
                instance:
                  minLength: 1
                  maxLength: 128
                  pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
                  description: Opaque, stable identifier within the owning system.
                  type: string
        issued_reward_id:
          minLength: 1
          maxLength: 128
          pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
          description: Opaque, stable identifier within the owning system.
          type: string
        member_id:
          minLength: 1
          maxLength: 128
          pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
          description: Opaque, stable identifier within the owning system.
          type: string
        program_id:
          minLength: 1
          maxLength: 128
          pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
          description: Opaque, stable identifier within the owning system.
          type: string
        reward_id:
          minLength: 1
          maxLength: 128
          pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
          description: Opaque, stable identifier within the owning system.
          type: string
        expires_at:
          format: date-time
          type: string
        artifact:
          additionalProperties: false
          type: object
          required:
            - type
            - value
          properties:
            type:
              anyOf:
                - const: code
                  type: string
                - const: qr_code
                  type: string
            value:
              minLength: 1
              maxLength: 512
              type: string
    IssuedRewardResponse:
      title: IssuedRewardResponse
      additionalProperties: false
      type: object
      required:
        - context
        - issued_reward
      properties:
        context:
          additionalProperties: false
          type: object
          required:
            - protocol_version
            - profile
            - request_id
            - processed_at
          properties:
            protocol_version:
              const: '1.0'
              type: string
            profile:
              const: foodservice/1.0
              type: string
            request_id:
              minLength: 1
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
              description: >-
                Echoes the request's request_id. On an idempotent replay it
                echoes the replaying request's request_id, not the original.
              type: string
            processed_at:
              format: date-time
              type: string
        issued_reward:
          additionalProperties: false
          type: object
          required:
            - issued_reward_id
            - member_id
            - program_id
            - reward_id
            - status
            - issued_at
          properties:
            issued_reward_id:
              minLength: 1
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
              description: Opaque, stable identifier within the owning system.
              type: string
            member_id:
              minLength: 1
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
              description: Opaque, stable identifier within the owning system.
              type: string
            program_id:
              minLength: 1
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
              description: Opaque, stable identifier within the owning system.
              type: string
            reward_id:
              minLength: 1
              maxLength: 128
              pattern: ^[A-Za-z0-9][A-Za-z0-9._:-]*$
              description: Opaque, stable identifier within the owning system.
              type: string
            status:
              anyOf:
                - const: issued
                  type: string
                - const: redeemed
                  type: string
                - const: cancelled
                  type: string
                - const: expired
                  type: string
            issued_at:
              format: date-time
              type: string
            expires_at:
              format: date-time
              type: string
            redeemed_at:
              format: date-time
              type: string
            cancelled_at:
              format: date-time
              type: string
            cancellation_reason:
              minLength: 1
              maxLength: 255
              type: string
            artifact:
              additionalProperties: false
              type: object
              required:
                - type
                - value
              properties:
                type:
                  anyOf:
                    - const: code
                      type: string
                    - const: qr_code
                      type: string
                value:
                  minLength: 1
                  maxLength: 512
                  type: string
    ProblemDetails:
      title: ProblemDetails
      additionalProperties: true
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          format: uri-reference
          type: string
        title:
          minLength: 1
          type: string
        status:
          minimum: 400
          maximum: 599
          type: integer
        detail:
          type: string
        instance:
          format: uri-reference
          type: string
        code:
          minLength: 1
          maxLength: 128
          type: string
        errors:
          type: array
          items:
            additionalProperties: false
            type: object
            required:
              - path
              - message
            properties:
              path:
                type: string
              message:
                type: string
  responses:
    Problem:
      description: RFC 9457 problem details
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetails'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````